<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>
    <style>
        .layui-input, .layui-textarea {
            border-color: #606060;
        }
    </style>
</head>
<body>
<form class="layui-form" action="" style="width: 80%; margin-top: 20px">
    <div class="layui-form-item">
        <label class="layui-form-label">备注：</label>
        <div class="layui-input-block" style="margin-left:0px">
            <div class="layui-input-block">
                <textarea name="remark" id="remark" placeholder="备注说明" class="layui-textarea"></textarea>
            </div>
        </div>
    </div>

    <div class="layui-form-item">
        <div class="layui-input-block">
            <button class="layui-btn" lay-submit lay-filter="formDemo">确认更改</button>
            <button type="button" id="close" class="layui-btn layui-btn-primary">关闭</button>
        </div>
    </div>
</form>

<script>
    //Demo
    layui.use(['form', 'layer'], function () {
        var form = layui.form;
        var layer = layui.layer;
        var mParent = parent;

        $('#close').click(function () {
            parent.layer.closeAll();
        });

        //监听提交
        form.on('submit(formDemo)', function (data) {
            var index = layer.load(1, {shade: [0.1, '#000']});
            $.ajax({
                url: ctx + '/merchantStore/disableMerchantStore',
                method: 'post',
                data: {
                    id: '${id}',
                    resultValue: '${resultValue}',
                    remark: $("#remark").val()
                },
                dataType: 'JSON',
                success: function (res) {
                    layer.close(index);
                    layer.msg(res.msg);
                    if (res.resultCode == 1) {
                        setInterval(function (){
                            mParent.layer.closeAll();
                            mParent.reload();
                        },1500)
                    }
                }
            })
            return false;
        });
    });
</script>
</body>
</html>